module(..., package.seeall)

-- Load libraries
require("modelfunctions")
require("fs")
require("format")

-- Set variables
local configfile = "/etc/mdadm.conf"
local processname = "mdadm-raid"
local packagename = "mdadm"

local path = "PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin "

-- ################################################################################
-- LOCAL FUNCTIONS

-- ################################################################################
-- PUBLIC FUNCTIONS

function startstop_service(action)
	return modelfunctions.startstop_service(processname, action)
end

function getstatus()
	return modelfunctions.getstatus(processname, packagename, "MDADM Status")
end

function getstatusdetails()
	return cfe({ type="longtext", value=fs.read_file("/proc/mdstat") or "", label="MDADM Status Details" })
end

function get_filedetails()
	return modelfunctions.getfiledetails(configfile)
end

function update_filedetails(filedetails)
	return modelfunctions.setfiledetails(filedetails, {configfile})
end
